cancel
Showing results for 
Search instead for 
Did you mean: 

SAP ERP6.0 EHP4 READY installation error

Former Member
0 Kudos

Dear experts,

i am getting this error while installing the SAP (ABAP stack) oraclesun Solaris(ldom) in this environment.

error:

Directory /usr/j2sdk1.4.2_23 is not a valid JDK directory: execution of "/usr/j2sdk1.4.2_23/bin/java -classpath /tmp/sapinst_exe.4596.1324103050/JAR/ins-j2ee.jar:/tmp/sapinst_exe.4596.1324103050/JAR/sapxmltoolkit.jar -d64 com.sap.ins.j2ee.TestClassLoader" finished with return code 1.

my env variables are correct

  1. java -version

java version "1.4.2_23"

Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_23-b01)

Java HotSpot(TM) Client VM (build 1.4.2_23-b01, mixed mode)

#

  1. which java

/usr/j2sdk1.4.2_23/bin/java

#

  1. java -fullversion

java full version "1.4.2_23-b01"

#

but i am getting this error

error:

java class

Exception in thread "main" java.lang.NoClassDefFoundError: class

please help me onthis....

thanks & Regards

K.Phani Krishna

+91-8008401836

Accepted Solutions (0)

Answers (1)

Answers (1)

former_member182505
Contributor
0 Kudos

Hi

please check the link

It will help you.

Thanks

Sadiq

Former Member
0 Kudos

Dear Sadiq,

Thanks for the replay.

My issue is resolved finally.....

issue is with java software

after installing the correct version issue is resolved

non-supported version is :j2sdk-1_4_2_23-solaris-sparc.sh

supported version is :j2sdk-1_4_2_23-solaris-sparcv9.sh

Thanks & Regards

k.Phani krishna